"""
Do Not Edit this file. You may and are encouraged to look at it for reference.
"""

import unittest
import wall

class TestWallConstructor( unittest.TestCase ):

    def setUp( self ):
        self.expected_x = 125
        self.expected_y = 250
        self.expected_width = 400
        self.expected_height = 200

        self.wall = wall.Wall( self.expected_x, self.expected_y, self.expected_width, self.expected_height )
        
        return

    def tearDown( self ):
        return

    def test001_XIsSet( self ):
        self.assertEqual( self.wall.getX( ), self.expected_x )
        return
    
    def test002_YIsSet( self ):
        self.assertEqual( self.wall.getY( ), self.expected_y )
        return
    
    def test003_WidthIsSet( self ):
        self.assertEqual( self.wall.getWidth( ), self.expected_width )
        return
    
    def test004_HeightIsSet( self ):
        self.assertEqual( self.wall.getHeight( ), self.expected_height )
        return
    
    def test005_RightXIsCorrect( self ):
        self.assertEqual( self.wall.getRightX( ), self.expected_x + self.expected_width )
        return
    
    def test006_BottomYIsCorrect( self ):
        self.assertEqual( self.wall.getBottomY( ), self.expected_y + self.expected_height )
        return
    
def suite( ):
    return unittest.TestLoader( ).loadTestsFromTestCase( TestWallConstructor )

if __name__ == '__main__':
    runner = unittest.TextTestRunner( )
    runner.run( suite( ) )
